Subject: Re: Network driver on ppc 405EX

From: Marco Stornelli <[email-masked]>
Date: Fri, 19 Sep 2008 09:05:33 +0200

Have you already enabled the device? You can enable it with
pci_enable_device. Then you can call the pci_request_region and then the
ioremap. In addition, you can check the pci configuration with the
command lspci. You can found an example on Linux Device Drivers.

Regards.

Abg Abg ha scritto:
> Hi, 
>   Hope this is the correct list for driver related queries for ppc boards
> 
> I was porting a network driver for a ppc 405EX based embedded system (kilauea config).
> The module builds fine and loads and I see the probe routine get called correctly.
> However when I try remapping the BAR0 address from the PCI config space, the ioremap fails.
> A little debugging showed that the address passed to ioremap was zero.
> I pass the address to the ioremap via pci_resource_start(pdev, 0) where pdev is a type struct pci_dev *.
> 
> I dumped the contents of the pdev and saw that the vendor-id, device id etc were correct, however the BAR0 address seemed to be all zeroes.
> 
> The question that I had was
> 1. Is there any kernel config that needs to be done for PCI devices to be able to remap the BAR0 addresses.
> 2. Any other kernel parameter that needs to be tweaked?
> 
> Thanks,
> Abg
> 
> 
>       
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded

-- 
Marco Stornelli
Embedded Software Engineer
CoRiTeL - Consorzio di Ricerca sulle Telecomunicazioni
http://www.coritel.it

[email-masked]
+39 06 72582838